#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdio.h>
#include <gtk/gtk.h>	
#include <gdk/gdk.h>	
#include "callbacks.h"
#include <string.h>
#include <postgresql/libpq-fe.h>
#include <stdlib.h>
#include <gnome.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include "message.h"

static void centruj(GtkWidget *widget)
{
	gtk_window_set_position(GTK_WINDOW(widget), GTK_WIN_POS_CENTER);
}

static void 
message_dlg_clicked(GtkWidget *widget, int button, gpointer data)
{
		gnome_dialog_close(GNOME_DIALOG(widget));
}

static void
message_close(GtkWidget *widget)
{
	gtk_widget_hide(widget);
}

static gboolean
message_dlg(char *message, char *typ)
{
	static GtkWidget *box = NULL;

	if (box == NULL) {
	  box = gnome_message_box_new (message,
				       typ,
				       GNOME_STOCK_BUTTON_OK,
				       NULL);
	  gtk_signal_connect (GTK_OBJECT (box), "clicked",
			      GTK_SIGNAL_FUNC (message_dlg_clicked), NULL);

	  gtk_window_set_modal (GTK_WINDOW(box),TRUE);
	  gnome_dialog_close_hides(GNOME_DIALOG(box), TRUE);
	}
	centruj(box);
	gtk_widget_show (box);
	return TRUE;
}
static gboolean
message_drukuj()
{
  GtkWidget *dialog1;
  GtkWidget *dialog_vbox1;
  GtkWidget *fixed1;
  GtkWidget *entry1;
  GtkWidget *label1;
  GtkWidget *dialog_action_area1;
  GtkWidget *button1;
  
  extern gchar nazwa_firm[100];
  extern PGconn *conn;
  extern PGresult *res;
  extern gchar dynam[1024];
  gchar *buff;

  buff=(char *)malloc(sizeof(dynam));

  dialog1 = gtk_dialog_new ();
  gtk_object_set_data (GTK_OBJECT (dialog1), "dialog1", dialog1);
  gtk_window_set_title (GTK_WINDOW (dialog1), _("XdeFactor by Michal Ociepka"));
  gtk_window_set_policy (GTK_WINDOW (dialog1), TRUE, TRUE, FALSE);

  dialog_vbox1 = GTK_DIALOG (dialog1)->vbox;
  gtk_object_set_data (GTK_OBJECT (dialog1), "dialog_vbox1", dialog_vbox1);
  gtk_widget_show (dialog_vbox1);

  fixed1 = gtk_fixed_new ();
  gtk_widget_ref (fixed1);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "fixed1", fixed1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (fixed1);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), fixed1, TRUE, TRUE, 0);

  entry1 = gtk_entry_new ();
  gtk_widget_ref (entry1);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "entry1", entry1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry1);
  gtk_fixed_put (GTK_FIXED (fixed1), entry1, 120, 32);
  gtk_widget_set_uposition (entry1, 120, 32);
  gtk_widget_set_usize (entry1, 158, 24);

  label1 = gtk_label_new (_("Faktur odbiera :"));
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_fixed_put (GTK_FIXED (fixed1), label1, 8, 24);
  gtk_widget_set_uposition (label1, 8, 24);
  gtk_widget_set_usize (label1, 121, 42);

  dialog_action_area1 = GTK_DIALOG (dialog1)->action_area;
  gtk_object_set_data (GTK_OBJECT (dialog1), "dialog_action_area1", dialog_action_area1);
  gtk_widget_show (dialog_action_area1);
  gtk_container_set_border_width (GTK_CONTAINER (dialog_action_area1), 10);

  button1 = gnome_stock_button (GNOME_STOCK_BUTTON_OK);
  gtk_widget_ref (button1);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "button1", button1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button1);
  gtk_box_pack_start (GTK_BOX (dialog_action_area1), button1, FALSE, FALSE, 0);
  gtk_widget_set_usize (button1, 106, 35);

  gtk_signal_connect_object (GTK_OBJECT (button1), "clicked",
                             GTK_SIGNAL_FUNC (drukuj),
                             GTK_WIDGET(entry1));//gtk_entry_get_text(GTK_ENTRY(entry1))));

  gtk_signal_connect_object (GTK_OBJECT (button1), "clicked",
                             GTK_SIGNAL_FUNC (message_close),
			    dialog1);
  centruj(dialog1);
  gtk_widget_show(dialog1);
  sprintf(buff, "SELECT osoba FROM nabywca WHERE nazwa LIKE '%%%s%';", nazwa_firm);
	res = PQexec(conn, buff);
	gtk_entry_set_text(GTK_ENTRY(entry1), PQgetvalue(res, 0, 0));


  free(buff);
}




